Interface WebTemplateFactory
- All Known Subinterfaces:
WebTemplateArchitect,WebTemplateLoader
- All Known Implementing Classes:
AbstractWebTemplateFactory,WebTemplateArchitectEmployer,WebTemplateLoaderImpl
public interface WebTemplateFactory
Factory for the creation of a
WebTemplate.- Author:
- Daniel Sagenschneider
-
Method Summary
Modifier and TypeMethodDescriptionaddTemplate(boolean isSecure, String applicationPath, Reader templateContent) Adds aWebTemplate.addTemplate(boolean isSecure, String applicationPath, String locationOfTemplate) Adds aWebTemplate.
-
Method Details
-
addTemplate
Adds aWebTemplate.- Parameters:
isSecure- Indicates if requires secureServerHttpConnectionto render theWebTemplate.applicationPath- Application path to theWebTemplate. May contain path parameters.templateContent-Readerto the template content.- Returns:
WebTemplate.
-
addTemplate
Adds aWebTemplate.- Parameters:
isSecure- Indicates if requires secureServerHttpConnectionto render theWebTemplate.applicationPath- Application path to theWebTemplate. May contain path parameters.locationOfTemplate- Location of the template content.- Returns:
WebTemplate.
-